Skip to main content
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
demographics
Create a new Demographic record
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/demographics/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "demographics": {
    "sourcedId": "<string>",
    "status": "active",
    "metadata": {},
    "birthDate": "<string>",
    "sex": "male",
    "americanIndianOrAlaskaNative": "true",
    "asian": "true",
    "blackOrAfricanAmerican": "true",
    "nativeHawaiianOrOtherPacificIslander": "true",
    "white": "true",
    "demographicRaceTwoOrMoreRaces": "true",
    "hispanicOrLatinoEthnicity": "true",
    "countryOfBirthCode": "<string>",
    "stateOfBirthAbbreviation": "<string>",
    "cityOfBirth": "<string>",
    "publicSchoolResidenceStatus": "<string>"
  }
}
'
{
  "sourcedIdPairs": {
    "suppliedSourcedId": "<string>",
    "allocatedSourcedId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
demographics
object
required

Response

Demographics record created successfully

sourcedIdPairs
object
required